import { Component, Input, OnInit } from '@angular/core';
import { MqttclientService } from '../mqttclient.service'

@Component({
  selector: 'ledbox',
  template: `
  <div [ngStyle]="{ 'text-align': 'center', 'background-color':'lightgrey', 'border-radius':'10px', 
  'width': '100px', 'height':'80px', 'padding':'5px', 'margin': '5px',
  'font-family': 'sans-serif' }">
    {{label}}<br/>
    <led [topic]="topic" greenToken="CLOSED" redToken="OPEN"></led>
  </div>
  `
})
export class LedBoxComponent implements OnInit {
  @Input() topic : string
  @Input() label : string

  constructor(private mqttclientService : MqttclientService) { }

  ngOnInit() {
  }

}
