import { Component, Input, OnInit } from '@angular/core';
import { MqttclientService } from '../mqttclient.service'

@Component({
  selector: 'ledbutton2',
  template: `
  <div [ngStyle]="{ 'text-align': 'center', 'background-color':'lightgrey', 'border-radius':'10px', 
                    'width': '150px', 'padding':'5px', 'margin': '5px',
                    'font-family': 'sans-serif' }">
    {{label}}<br/>
    <button mat-mini-fab color="primary" (click)="clickOff()" [ngStyle]="{'font-size':'100%'}">off</button>
    <led [topic]="feedbackTopic" greenToken="ON" redToken="OFF"></led>
    <button mat-mini-fab color="primary" (click)="clickOn()" [ngStyle]="{'font-size':'100%'}">on</button>
  </div>
  `
})
export class LedButtonGroup2Component implements OnInit {

  @Input() actionTopic : string
  @Input() feedbackTopic : string
  @Input() label : string

  constructor(private mqttclientService : MqttclientService) { }

  ngOnInit() {
  }


  clickOn() {
    this.mqttclientService.publish(this.actionTopic, "ON")
  }

  clickOff() {
    this.mqttclientService.publish(this.actionTopic, "OFF")
  }


}
