import { Component, Input, OnInit } from '@angular/core'
import { MqttclientService } from '../mqttclient.service'

@Component({
  selector: 'led',
  template: `
  <span [ngStyle]="{'color':color, 'font-size':'200%', 'padding-right':'5px', 'padding-left':'5px'}">&#x25cf;</span>
  `
})
export class LedindicatorComponent implements OnInit {

  @Input() topic : string = 'invalid'
  @Input() greenToken : string = 'green'
  @Input() redToken : string = 'red'
  color : string = 'red'


  constructor(private mqttclientService : MqttclientService) { 
  }

  ngOnInit() {
    this.mqttclientService.register(this.topic, (message: string) => {
      if (message == this.greenToken) {
        this.color = '#40FF00'
      } else if (message == this.redToken) {
        this.color = 'red'
      } else {
        this.color = 'lightgrey'
      }
    })
  }

}

